package com.arms.api.issue.schedule.service;

import com.arms.api.issue.almapi.model.dto.AlmIssueIncrementDTO;
import com.arms.api.issue.almapi.model.dto.AlmIssueWithRequirementDTO;
import com.arms.api.issue.almapi.model.vo.AlmIssueWithRequirementVO;
import com.arms.api.issue.almapi.model.entity.AlmIssueEntity;

import jakarta.validation.Valid;

import java.util.List;

public interface IssueScheduleService {

    List<AlmIssueEntity> discoveryIncrementALmIssue(@Valid AlmIssueIncrementDTO almIssueIncrementDTO);

    void preSaveReqStatus(AlmIssueWithRequirementDTO almIssueWithRequirementDTO);

    void deleteIfDoesNotExistDoc();

    AlmIssueEntity findIssueByRecentId(String 조회조건_아이디);

    void updateArmsStateCategory();

    void cloudJiraTestApiRequest();
}
